Category: Calendar Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution:    

Description

This patch converts the previous and next month links in the calendars view into buttons in the new pagination style. It also aligns the

buttons vertically with the input fields on the left.

Related issues:

Related to Redmine - Patch #21258: Use <ul> to do pagination, styling in a Gi... Closed

Associated revisions

Revision 22235 - 2023-05-07 02:18 - Go MAEDA

Use the new pagination style for the calendars view (#27346).

Patch by Bernhard Rohloff.

History

#1 - 2017-11-01 07:48 - Bernhard Rohloff

- File screenshot_calendars_buttons.png added

This is the result of the patch...

 screenshot_calendars_buttons.png 

#2 - 2017-11-01 09:49 - Go MAEDA

- Subject changed from Use the new pagination style for the calendars view. to Use the new pagination style for the calendars view

- Category changed from UI to Calendar

- Target version set to 4.1.0

It looks nice and improves the consistency of UI. I am setting target version to 4.1.0.

Thank you for posting the patch.

#3 - 2017-11-01 09:54 - Marius BĂLTEANU

- Related to Patch #21258: Use <ul> to do pagination, styling in a GitHub like manner with improved handling in responsive mode added

#4 - 2018-09-21 06:48 - Marius BĂLTEANU

This is another small change that can be included in 4.0.0.

#5 - 2018-09-21 07:36 - Go MAEDA

Marius BALTEANU wrote:

This is another small change that can be included in 4.0.0.

 I have not committed this patch because this patch changes a style ".buttons". The change influences all pages which use the class, not only the

calendar page.

#6 - 2018-09-21 08:11 - Marius BĂLTEANU
Go MAEDA wrote:

Marius BALTEANU wrote:

This is another small change that can be included in 4.0.0.

 I have not committed this patch because this patch changes a style ".buttons". The change influences all pages which use the class, not only the

calendar page.

 Oh, I need to admit that I didn't see that change.

#7 - 2018-09-21 09:16 - Bernhard Rohloff

I'm currently on the road but I can have a look at the patch on Sunday.

At a first glance I think the new styles came into the patch by accident.

#8 - 2018-09-24 11:43 - Bernhard Rohloff

Ok, I've looked at the patch and the  style changes for the 'buttons' class are necessary to geht the new buttons for previous and next month in line

with the form controls on the left.

After nearly a year passed by since I've submitted this patch I don't think it's the right solution anymore and I'll submit a better one for 4.1.0.

#9 - 2019-05-08 07:08 - Go MAEDA

- Target version changed from 4.1.0 to Candidate for next major release

#10 - 2023-05-05 07:54 - Go MAEDA

- File 27346-v2.patch added

- Target version changed from Candidate for next major release to 5.1.0

Go MAEDA wrote in #note-5:

I have not committed this patch because this patch changes a style ".buttons". The change influences all pages which use the class, not only the

calendar page.

 I slightly updated the patch. The new patch addresses the above point by setting margin-top against .controller-calendars p.buttons instead of

p.buttons.

Setting the target version to 5.1.0.

#11 - 2023-05-07 02:19 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22235. Thank you.

#12 - 2023-05-07 02:19 - Go MAEDA

- Tracker changed from Patch to Feature

Files

calendars_prev_and_next_month_pagination_style_r17016.diff 1.58 KB 2017-11-01 Bernhard Rohloff

screenshot_calendars_buttons.png 20 KB 2017-11-01 Bernhard Rohloff

27346-v2.patch 1.53 KB 2023-05-05 Go MAEDA
